.site-header {

    width: 100%;
    height: 86px;
    //border-bottom: 1px solid #d8d8d8;
    //margin-bottom: 20px;
    padding:0px 20px;
    position:relative;
    border-bottom: 1px solid #e6e6e6;
    @include screen-size(xl) {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        background-color: #fff;
        z-index: 2000;
    }
    @include screen-size(md) {
        height: 70px;
    }

    &-wrapper {
        height: 100%;
        @include screen-size(xl) {
            display: flex;
        }
    }

    .site-header_menu-mobile-button {
        position: relative;
        display: none;
        margin-left: 0;
        margin-right: 20px;
        @include font-size(24);
        z-index: 2100;
        @include screen-size(xl) {
            display: block;
        }
        &--blue {
            color: $color-tertiary;
        }
    }
    .site-header_logo {
        position: relative;
        z-index: 1900;
        margin-right:20px;
        .site-header_logo_baseline {
            display: block;
            @include font-size(12);
            margin-left: 40px;
            margin-top: 6px;
        }
    }
    div>.site-header_submenu{
        position:absolute;
        top:75px;
        left:calc(100% - 340px);
        padding-top:10px;
        z-index:500;
        pointer-events:none;
        display:none
    }
    div.has-submenu {
        height: 100%;
        padding-top: 33px;
        &:hover, &.open {
            .site-header_submenu {
                display: block;
                pointer-events: all;
            }
        }
        &.open:hover {
            .site-header_submenu {
                display: block;
            }
        }

        @include screen-size(xl) {
            &:hover {
                .site-header_submenu {
                    display: none;
                }
            }
        }
    }
    .site-header_menu {
        height: 100%;
        > ul {
            height: 100%;
            > li {
                position:relative;
                display: flex;
                flex-direction: row;
                align-items: center;
                justify-content: center;
                margin-left: 33px;
                float: left;
                height: 100%;

                &:hover {
                    &:after {
                        background: $color-secondary;
                        height: 4px;
                        @include screen-size(xl) {
                            height: 100%;
                        }
                    }
                }
                &:after {
                    content:'';
                    position:absolute;
                    background: transparent;
                    bottom: -1px;
                    left:0;
                    width: 100%;
                    height: 0px;
                    @include transition(0.2s all ease);
                }
                &.has-submenu {
                    &:hover, &.open {
                        .site-header_submenu {
                            display: block;
                            pointer-events: all;
                        }
                    }
                    &.open:hover {
                        .site-header_submenu {
                            display: block;
                        }
                    }
                    @include screen-size(xl) {
                        &:hover {
                            .site-header_submenu {
                                display: none;
                            }
                        }
                    }
                    @include screen-size(xl, min) {
                      &.open {
                        .site-header_submenu {
                          display: none;
                        }
                      }
                    }

                }
                > a {
                    display: flex;
                    align-items: center;
                    // height: 100%;
                    font-family: 'DINCond-Bold';
                    text-transform: uppercase;
                    @include font-size(19);
                    @include transition(0.2s all ease);
                    &.on {
                        color:$color-secondary;
                    }
                }
                &.site-header_item-mobile {
                    display: none;
                    @include screen-size(xl) {
                        display: block;
                    }

                    &--color {
                        color: $color-tertiary;
                    }
                }
            }
        }
        @include screen-size(xl) {
            position: fixed;
            top: 0;
            padding-top: 83px;
            bottom:0;
            left:0;
            height: 100%;
            width: 375px;
            background-color: #fff;
            z-index: 2000;
            display: none;
            transform: translateX(-100%);
            border-right: 1px solid #e6e6e6;
            @include transition(0.2s all ease-in-out);
            > ul {
                position:absolute;
                top:1px;
                left:0;
                right:0;
                width: 100%;
                color: #000;
                overflow: hidden;
                z-index:1000;
                @include transition(0.2s all ease);
                @include screen-size(xl) {
                    overflow-y: scroll;
                    position: relative;
                    top: inherit;
                }
                > li {
                    display: block;
                    float: none;
                    height: auto;
                    width: 100%;
                    margin-left:0;
                    padding: 13px 26px;
                    background: $color-white;
                    &:after {
                        top:0;
                        bottom:auto;
                        width: 4px;
                        height: 100%;

                    }
                    &:hover &:after {
                        height: 100%;
                    }
                    &.has-submenu {
                        position: relative;
                        > a:before {
                            @include use-icon-mq('arrow');
                            @include font-size(62);
                            @include transition(0.2s all ease);
                            position:absolute;
                            top: -8px;
                            right: 10px;
                        }
                        &.open {
                            > a:before {
                                @include rotate(90);
                            }
                        }
                    }
                    > a {
                        @include font-size(24);
                        display: block;
                    }
                }
            }
            &.on {
                display: block;
                transform: translateX(0);
            }
        }
        @include screen-size(md) {
            padding-top: 67px;
            width: 100%;
            right: 0;
        }
    }
    .site-header_submenu {
        //height: 50px;
        //overflow: hidden;
        position:absolute;
        top: 75px;
        left:0px;
        padding-top: 10px;
        z-index: 500;
        pointer-events: none;
        display: none;
        @include screen-size(xl) {
            position: relative;
            top: inherit;
            left:inherit;
        }
        > ul {
            width: 320px;
            box-shadow: 0 10px 10px 0 rgba(0, 0, 0, 0.15);
            background: $color-white;
            @include transition(0.2s all ease);
            > li {
                display: block;
                white-space: nowrap;
                > a {
                    font-family: 'DINCond-Regular';
                    padding:20px 30px;
                    display: block;
                    background: #ffffff;
                    @include font-size(22);
                    @include transition(0.2s all ease);

                    &:hover, &.on {
                        background: #fff8ec;
                    }
                }
                // &:first-child {
                //     > a {
                //         padding-top: 40px;
                //     }
                // }
                // &:last-child {
                //     > a {
                //         padding-bottom: 40px;
                //     }
                // }
            }
        }
        /*&.on {
            > ul {
                height: auto;
            }
        }*/

        @include screen-size(xl) {
            position: relative;
            > ul {
                position: relative;
                width: 100%;
                box-shadow: none;
                > li {
                    > a{
                        @include font-size(24);
                        padding:20px 44px;
                    }
                    &:first-child {
                        > a {
                            padding-top: 20px;
                        }
                    }
                    &:last-child {
                        > a {
                            padding-bottom: 20px;
                        }
                    }
                }
            }
        }
    }
    .button, .icon-like, .icon-user-following, .icon-setting, .site-header_profil {
        @include screen-size(xl) {
            display: none;
        }
    }
    .icon-setting{
        font-size: 24px;
    }
    .search {
        @include screen-size(xl) {
            margin-left: auto;
            padding: 0;
        }
    }
    .icon-search {
        margin-left: 46px;
        @include font-size(24);
    }
    .icon-cart {
        &-not-empty {
            position: relative;
            &:after {
                content: attr(data-cart);
                display: flex;
                align-content: center;
                justify-content: center;
                height: 15px;
                width: 15px;

                position: absolute;
                right: -8px;
                top: -4px;

                background-color: $color-secondary;
                color: #fff;
                border-radius: 50%;
                font-size: 10px;
                line-height: 15px;
            }
        }
    }
    .search_mobile {
        display: none;
        @include screen-size(xl) {
            margin-left: 0;
            @include font-size(24);
            display: block;
        }
    }
    .search form {
        @include screen-size(xl) {
            display: none;
            position: fixed;
            top: 85px;
            left: 0;
            right: 0;
            background: #fff;
            padding: 20px;
            border-bottom: 1px solid #e6e6e6;
            .search {
                &_icon {
                    margin-left: 0;
                }
                &_input {
                    width: 100%;
                }
            }
        }
        @include screen-size(md) {
            top: 69px;
        }
    }
    .search input.search_checkbox:checked~form {
        display: flex;
    }
    .icon-library, .icon-cart, .icon-like, .icon-user-following {
        @include font-size(24);
    }
    .site-header_profil {
        margin-left: 46px;
        img {
            width: 34px;
            height: 34px;
            object-fit: cover;
            @include borderRadius(50%);
        }
    }


    &_left {
        height: 100%;
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        flex-wrap: nowrap;
        width: 60%;
        float: left;
        @include screen-size(xl) {
            width: 100%;
            float: none;
        }
    }

    &_right {
        height: 100%;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
        flex-wrap: nowrap;
        width: 40%;
        float: right;
        @include screen-size(xl) {
            width: auto;
            float: none;
            margin-left: auto;
        }

        .button {
            margin-right: 10px;
        }
        .icon {
            margin-left: 46px;
            @include transition(all 200ms);
            @include screen-size(xl) {
                margin-left: 20px;
            }
            &:hover {
                color:$color-secondary;
            }
        }
        @include screen-size(xl) {
            position: relative;
            z-index: 900;
        }
    }

}

.is-subscribed {

.site-header {
    background: #272626;
    color:$color-white;
    border-bottom: 0;
    &_logo {
        .izneo-text{
            fill: #fff;
        }
    }
    &_menu-mobile-button {
        color: #fff !important;
    }
    .site-header_menu {
        background: #272626;
        color:$color-white;
        > ul > li {
            background: #272626;
            color:$color-white;
        }
    }
    .site-header_submenu {

        color:$color-primary;

        > ul > li > a {
            background: #272626;
            color:$color-white;
            &:hover, &.on {
                background: $color-tertiary;
            }
        }

    }
    .icon-cart-not-empty:after {
        background-color: $color-tertiary;
    }
    .form input::placeholder {
        color: #757575;
    }
}

}

.cookies-banner,
.cookies-orange {
    background: #3e3e3e;
    display: none;
    line-height: 23px;
    font-size: 13px;
    color: #fff;
    padding: 12.5px 0;
    box-sizing: border-box
}
.cookies-banner {
    background: #8D8888;
}

.cookies-banner_wrapper,
.cookies-orange_wrapper {
    margin: 0 auto;
    width: calc(100% - 30px);
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    max-width: 1440px
}

.cookies-banner.active,
.cookies-orange.active {
    display: block
}

.cookies-banner p,
.cookies-orange p {
    margin: 0
}

.cookies-banner p a,
.cookies-orange p a {
    color: #fff;
    text-decoration: none;
    font-weight: 700
}

@media all and (max-width:1250px) {
    .cookies-banner_wrapper,
    .cookies-orange_wrapper {
        display: block;
        text-align: center
    }
    .cookies-banner p a,
    .cookies-orange p a {
        text-decoration: underline
    }
}

#search-result-filter a,
.filter-navigation-link,
.publisher-logo a {
    text-decoration: none
}

.cookies-banner_info,
.cookies-orange_info {
    font-weight: 600;
    color: #fff;
    text-decoration: none
}

.access__title span:first-child b,
.custom_subscription_msg_with_btn p span {
    font-weight: 700
}

.cookies-banner_btn,
.cookies-orange_btn {
    box-sizing: border-box;
    margin-left: 30px;
    background: #fff;
    color: #3e3e3e;
    font-size: 20px;
    letter-spacing: .1px;
    line-height: 20px;
    padding: 6px 11.5px
}

.cookies-orange {
    position: relative
}

.cookies-orange_wrapper {
    -ms-flex-pack: center;
    justify-content: center;
    padding-left: 10px;
    padding-right: 50px;
    width: auto
}

@media all and (max-width:1250px) {
    .cookies-banner_btn,
    .cookies-orange_btn {
        margin: 10px 0 0
    }
    .cookies-orange_wrapper {
        display: -ms-flexbox;
        display: flex;
        text-align: left
    }
    .cookies-orange_btn {
        display: none
    }
}

.cookies-orange_logo {
    margin-right: 20px
}

.cookies-orange_btn {
    font-size: 14px;
    font-size: 1rem
}

.cookies-orange_close {
    position: absolute;
    top: 50%;
    right: 30px;
    font-size: 35px;
    margin-top: -17px;
    padding: 0
}

.cookies-orange_close:hover {
    background: 0 0;
    color: #fff;
}

@media (max-width: 1250px) {
    .cookies-banner_wrapper {
        padding-top: 80px;
    }

    .cookies-orange_close {
        right: 10px;
    }
}


button:disabled:hover,button[disabled]:hover {
    color: #fff;
    background-color: #3e3e3e;
}
